## backup_history_list

### Use

You display the content of the backup history. You can restrict or extend the display by specifying options.

To save time, we recommend that you execute the DBM command for getting the backup history (see: backup_history_open) first. If you do not execute this command first, it is executed implicitly with the DBM command for displaying the backup history described here.

See also:

Database Administration Tutorial, Evaluating the Restart Information and Backup History for Importing Backups

Concepts of the Database System, Log Files

### Prerequisites

You have the server authorization Backup or DBInfoRead.

### Syntax

backup_history_list [<option_list>]

<option_list>:: = <option> | <option>,<option>, ...

<option>:: = -c <columns> | -k <key> | -l <label> | -a <action> | -r <restore_flag> | –u <yyyymmddHHMMSS> | –m | -e | -Inverted

Options

Option | Description

-c <columns>

You specify which columns are to be displayed. If you specify multiple columns, you separate them using commas. The keywords for the individual columns are:
KEY Key value for the backup

LABEL Label for the backup

ACTION Backup action

STAMP1 First time stamp for the backup

STAMP2 Second time stamp for the backup

START Start of backup

STOP End of backup

FIRSTLOG First log IO sequence number for the backup

LASTLOG Last log IO sequence number for the backup

LOG States whether log backups have to be imported after data backup has been imported

MEDIA Name of the backup template used

PAGES Size of the backup in pages

VOLUMES Number of parts that comprise the backup

RC Return value from database instance for the backup

ERROR Backup error message

-k <key> | Only the line of the backup history that contains the key value specified under <key> is displayed. This option must not be used with the -r option.
-l <label> | Only the lines of the backup history are displayed which contain the backup label specified. This option must not be used with the -r option.
-a <action> | Only the lines of the backup history that match the backup type specified are displayed. This option must not be used with the -r option.

-r <restore_flag>

Only backups required to restore the database instance are displayed. The following values are possible for <restore_flag>:

* | LAST | <key>

*: All data backups required to restore the database instance are displayed. If the log volume is still intact, then only those data backups are output that match the existing log entries in the log volume.

LAST: All backups that are required to recover the database instance are displayed including the last complete database backup.

<key>: Key value of complete data backup
All backups required to recover the database instance are displayed. The key value of the complete data backup is stored in the backup history in the first column of the entry for this backup.

-u <yyyymmddHHMMSS> | Only those lines in the backup history are displayed that contain data saved in the database instance before the specified time. Time format: Year Month Day Hours Minutes Seconds
-m | For each line that relates to a backup, information on the backup template used is output.
-e | For each line that relates to a backup, information is displayed about the associated external backup ID.
-Inverted | The backup history is displayed in reverse order; that is, starting with the most recent backup.

### Reply

OK

END|CONTINUE

<history_line>

[<media_line>

[<external_backup_id-line>]

<history_line>

[<media_line>]

[<external_backup_id-line>]

....

Values for the Reply Fields

Value | Description
END | The contents of the backup history have been transferred in full. The file is closed automatically.
CONTINUE | The backup history contains further entries that were not transferred due to the limited size of the reply package. You can display this data by entering the DBM command again, or close the backup history (see: backup_history_close).
<history_line> | Information on the completed backups. Columns are separated by a vertical line (|). A separate line is displayed for each backup.
<media_line> | Information on the backup template used for the backup. The line is prefixed with an M: and is followed by the columns, each separated by a vertical slash (|).
<external_backup_id_line> | If the backup was created using a backup tool, information about the external backup ID is shown here. The line has an E:-prefix and is followed by the columns, each separated by a vertical line (|).

In the event of errors, see Reply Format.